/**
 * @file actuator_manager.cpp
 * @brief ActuatorManager component implementation
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */
#include "logger.hpp"
#include "actuator_manager.hpp"

static const char* TAG = "actuator_manager";

ActuatorManager::ActuatorManager()
    : m_isInitialized(false)
{
}

ActuatorManager::~ActuatorManager()
{
    deinitialize();
}

bool ActuatorManager::initialize()
{
    // TODO: Implement initialization
    m_isInitialized = true;
    ASF_LOGI(TAG, 4000, asf::logger::Criticality::LOW, "actuator manager initialized successfully");
    return true;
}

bool ActuatorManager::deinitialize()
{
    if (!m_isInitialized)
    {
        return false;
    }

    // TODO: Implement deinitialization
    m_isInitialized = false;
    return true;
}

bool ActuatorManager::isInitialized() const
{
    return m_isInitialized;
}
